<?php

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );



/* Verhindere direkten Aufruf */



if ( ! defined( 'WPINC' ) ) {   

  die;   

}  



/*

Plugin Name: Booklooker Schnellsuche

Plugin URI: https://booklooker.de

Description: Dieses Plugin integriert die Booklooker Schnellsuche in einen Wordpress Blog.

Author: cbooks GmbH

Author URI: https://booklooker.de

Version: 1.1.0

*/



/* Plugin-Code */

/* js laden und für Optionsübergabe vorbereiten */


function bklsearch() {
	
wp_register_script('bkljquery', ('https://ajax.googleapis.com/ajax/libs/jquery/3.6.1/jquery.min.js'), false, '3.6.1');
	
wp_enqueue_script('bkljquery');
	
wp_register_script('search', plugins_url( '/js/bklsearch.js', __FILE__ ));

$variables = array (

    'id' => get_option('id'),

);

wp_localize_script('search', 'option_id', $variables );

wp_enqueue_script('search');

}


add_action('wp_enqueue_scripts', 'bklsearch');


/* css laden */


function bklcss() {  

  wp_enqueue_style( 'bklstyle', plugin_dir_url( __FILE__ ) . '/css/bklsearch.css' );  

}


add_action('wp_enqueue_scripts', 'bklcss');


/* Suchmaske mit Shortcode einbinden */


function bklshortcode()

{

  $ausgabe = "<div id='bklsuche'>";

  $ausgabe .= "<label><h4><span>Booklooker</span> Schnellsuche</h4></label>";

  $ausgabe .= "<p>Suchen Sie im Angebot von <b>";

  $ausgabe .= get_option("Firmenname");

  $ausgabe .= "</b> bei Booklooker. Sie können nach ISBN, Autor, Titel, Verlag oder Stichworten suchen. Die Suche auf unserer Webseite verbindet Sie mit der Booklooker Plattform.</p>";

  $ausgabe .= "<h5>ISBN</h5><input type='text' name='isbn' id='isbn'>";

  $ausgabe .= "<h5>Autor</h5><input type='text' name='autor' id='autor'>";

  $ausgabe .= "<h5>Titel</h5><input type='text' name='titel' id='titel'>";

  $ausgabe .= "<h5>Verlag</h5><input type='text' name='verlag' id='verlag'>";

  $ausgabe .= "<h5>Stichwort</h5><input type='text' name='schlagwort' id='schlagwort'><br />";

  $ausgabe .= "<button type='button' id='button'>Suche</button>";

  $ausgabe .= "</div>";

  return $ausgabe;

}


add_shortcode('booklookersuche', 'bklshortcode');


/* Options Seite */


add_action('admin_menu', 'SetupPage');

add_action('admin_init', 'RegisterSettings');


function SetupPage() {

    add_menu_page(__("booklookerSuche"), __("booklookerSuche"), "manage_options", __FILE__, 'PageContent');

}


function RegisterSettings() {

/* Optionen zur DatenBank zufügen, wenn nicht vorhanden */

    add_option("id", "", "", "yes");

    add_option("Firmenname", "", "", "yes");


/* Settings registrieren */

    register_setting('settings', 'id');

    register_setting('settings', 'Firmenname');

}


function PageContent() {

    if (!current_user_can('manage_options'))

        wp_die(__("You don't have access to this page"));

    ?>

    <div class="wrap">

        <h2><? _e("booklookerSuche") ?></h2>

        <p>Geben Sie hier Ihren Firmennamen und Ihre ID ein</p>

        <p>Shortcode: <input type="text" value="[booklookersuche]" id="bklsearch" style="border: none; background: none;"> <button onclick="shortcodeCopy()">Kopieren</button></p>

        <script>
            function shortcodeCopy() {
                var copyText = document.getElementById("bklsearch");
                copyText.select();
                copyText.setSelectionRange(0, 99999);
                navigator.clipboard.writeText(copyText.value);
                alert("Shortcode kopiert: " + copyText.value);
            } 
        </script>

        <form method="post" action="options.php">

            <?php settings_fields('settings'); ?>

            <table class="form-table">

                <tr valign="top">

                    <th scope="row">ID</th>

                    <td><input type="text" name="id" value="<?php print get_option('id'); ?>" /></td>

                </tr>

                <tr valign="top">

                    <th scope="row">Firmenname</th>

                    <td><input type="text" style="width: 30%;" name="Firmenname" value="<?php print get_option('Firmenname'); ?>" /></td>

                </tr>

            </table>

            <p class="submit">

                <input type="submit" class="button-primary" value="<?php _e('Save changes') ?>" />

            </p>

        </form>

    </div>

<?php

}